From 4bf55ef3aae827e179eae814ca1b078e4f490050 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 11 2020 23:53:24 +0000
Subject: [PATCH 1365/2232] cbegin/cend to iterate over const tags


---

diff --git a/demo/src/blobstore.cc b/demo/src/blobstore.cc
index 3b56d86..7cf40df 100644
--- a/demo/src/blobstore.cc
+++ b/demo/src/blobstore.cc
@@ -57,7 +57,7 @@ BlobMetadata BlobstoreClient::metadata(uint64_t blobid) const {
   auto blob = impl->blobs.find(blobid);
   if (blob != impl->blobs.end()) {
     metadata.size = blob->second.data.size();
-    std::for_each(blob->second.tags.begin(), blob->second.tags.end(),
+    std::for_each(blob->second.tags.cbegin(), blob->second.tags.cend(),
                   [&](auto &t) { metadata.tags.emplace_back(t); });
   }
   return metadata;

